%define pypi_name	dpath

Name:           python-dpath
Version:        2.0.1
Release:        %mkrel 1
Summary:        A python library for searching dictionaries using XPath-like expressions
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/dpath/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)


%description
A python library for accessing and searching dictionaries via /slashed/paths ala
xpath

Basically it lets you glob over a dictionary as if it were a filesystem. It
allows you to specify globs (ala the bash eglob syntax, through some advanced
fnmatch.fnmatch magic) to access dictionary elements, and provides some facility
for filtering those results.

%package -n python3-dpath
Summary:        A python3 library for searching dictionaries using XPath-like expressions
Group:		Development/Python


%description -n python3-dpath
A python library for accessing and searching dictionaries via /slashed/paths ala
xpath

Basically it lets you glob over a dictionary as if it were a filesystem. It
allows you to specify globs (ala the bash eglob syntax, through some advanced
fnmatch.fnmatch magic) to access dictionary elements, and provides some facility
for filtering those results.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-dpath
%doc LICENSE.txt README.rst
%{python3_sitelib}/%{pypi_name}*



%changelog
* Sat Nov 07 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1643242
- new version 2.0.1

* Thu Jul 23 2020 ovitters <ovitters> 1.4.2-4.mga8
+ Revision: 1608266
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.4.2-3.mga8
+ Revision: 1535549
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 1.4.2-2.mga8
+ Revision: 1452158
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.4.2-1.mga7
+ Revision: 1352486
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-3.mga7
+ Revision: 1288787
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.0-2.mga7
+ Revision: 1135403
- Rebuild for python 3.6

* Wed Aug 31 2016 philippem <philippem> 1.4.0-1.mga6
+ Revision: 1049584
- imported package python-dpath

